<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{'epdb.admin.language.list_language' | translate}}</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-md-10 col-xl-10 form-group text-left"></div>
            <div class="col-md-2 col-xl-2 form-group text-right">
                <!-- <button type="button" [routerLink]="['/admin/language/add-language']" class="btn btn-primary btn-md text-center">
                    <i class="icofont icofont-ui-add"></i> Add Language
                </button> -->
            </div>
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
                <div>
                    <label class="label-control">{{'general.show' | translate}}
                        <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                            <option [ngValue]="10">10</option>
                            <option [ngValue]="25">25</option>
                            <option [ngValue]="50">50</option>
                            <option [ngValue]="100">100</option>
                        </select>
                        {{'general.entries' | translate}}
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="text-right">
                    <label>{{'general.search' | translate}}:
                        <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="data | dataFilterLanguage : filterQuery"
                    #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <!-- <th width="20%">
                                <mfDefaultSorter>{{'epdb.admin.language.language_code' | translate}}</mfDefaultSorter>
                            </th> -->
                            <th width="90%">
                                <mfDefaultSorter by="KeyValue">{{'epdb.admin.language.language' | translate}}</mfDefaultSorter>
                            </th>
                            <th width="10%" *ngIf="accesSetupLanguageBtn">{{'general.action' | translate}}</th>
                        </tr>
                    </thead>
                    <tbody *ngIf="data!=null && data!=''">
                        <tr *ngFor="let item of mf.data" value="{{item.key}">
                            <!-- <td>{{item.Key}}</td> -->
                            <td>{{item.KeyValue}}</td>
                            <td class="action-icon text-center" *ngIf="accesSetupLanguageBtn">
                                <a *ngIf="accesSetupLanguageBtn" [routerLink]="['/admin/language/setup-language',item.KeyValue]" class="m-r-15 text-muted f-18"
                                    ngbTooltip="{{'epdb.admin.language.tool_tip_setup_language' | translate}}">
                                    <i class="icofont icofont-ui-edit"></i>
                                </a>
                                <!-- <a (click)="openConfirmsSwal(item)" class="text-muted f-18" ngbTooltip="Delete Language">
                                    <i class="icofont icofont-ui-trash"></i>
                                </a> -->
                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="data!=null">
                            <td colspan="2">
                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                            </td>
                        </tr>
                        <tr *ngIf="data==null">
                            <td colspan="2" class="text-center">{{'general.loading_data' | translate}}</td>
                        </tr>
                        <tr *ngIf="data==''">
                            <td colspan="2" class="text-center">{{'general.data_empty' | translate}}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>